# avx-pmarie-aws-infra

## Initialization

Run `terraform` into the `init-state` directory to create initial s3 & dynamodb.

## Validate, plan & apply

There is a `Makefile` for this:

```sh
$ make validate
$ make plan
$ make apply
```

## Extract EKS configuration

```
$ aws eks update-kubeconfig --name avx-pmarie-eks --region eu-west-3
$ kubectl config rename-context arn:aws:eks:eu-west-3:563042046245:cluster/avx-pmarie-eks avx-pmarie-eks
```


## Notes

### aws-auth

It can be required to import existing aws-auth configmap:

```
$ cd infra/eks-aws-auth
$ terragrunt import kubernetes_config_map.aws_auth kube-system/aws-auth
...

```